library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity reset is
    Port ( clk : in std_logic;  
           count: in std_logic_vector(6 downto 0);
           reset_n : in std_logic;
           reset_out: out std_logic
           );            
end reset;



architecture behavioral of reset is


signal reset_out_ff: std_logic;

begin

reset_out <= reset_out_ff;

-- divider counter
-- The count here will provide a 1 msec period using a 10Khz. clk rate
process (clk,reset_n)
begin
	if reset_n = '0' then		
       reset_out_ff   <= '1';
     elsif clk'event and clk = '1' then
	   if count = "1111111" then
	      reset_out_ff <= '1';
	      else
	        reset_out_ff <= '0';
	    end if;
	end if;
end process;



end behavioral;
